netatalk: magics.c File Reference

netatalk 4.5.1
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
magics.c File Reference
`#include <atalk/logger.h>`
`#include <sys/param.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <stdlib.h>`
`#include <signal.h>`
`#include <netatalk/at.h>`
`#include "file.h"`
`#include "comment.h"`
`#include "lp.h"`

## Functions
static void | sig_handler (int signo)
static void | parser_error (struct papfile *outfile)
int | ps (struct papfile *infile, struct papfile *outfile, struct sockaddr_at *sat)
int | cm_psquery (struct papfile *in, struct papfile *out, struct sockaddr_at *sat)
int | cm_psadobe (struct papfile *in, struct papfile *out, struct sockaddr_at *sat)
int | cm_psswitch (struct papfile *in, struct papfile *out, struct sockaddr_at *sat)

## Variables
static int | state = 0
static volatile sig_atomic_t | stop_requested = 0
char * | Query = "Query"
struct papd_comment | magics []

## Function Documentation

## ◆ cm_psadobe()

int cm_psadobe | ( | struct papfile * | in,
|  | struct papfile * | out,
|  | struct sockaddr_at * | sat )

## ◆ cm_psquery()

int cm_psquery | ( | struct papfile * | in,
|  | struct papfile * | out,
|  | struct sockaddr_at * | sat )

## ◆ cm_psswitch()

int cm_psswitch | ( | struct papfile * | in,
|  | struct papfile * | out,
|  | struct sockaddr_at * | sat )

## ◆ parser_error()

void parser_error | ( | struct papfile * | outfile | ) |
| static

## ◆ ps()

int ps | ( | struct papfile * | infile,
|  | struct papfile * | outfile,
|  | struct sockaddr_at * | sat )

## ◆ sig_handler()

void sig_handler | ( | int | signo | ) |
| static

## Variable Documentation

## ◆ magics

struct papd_comment magics[]

Initial value:
= {
{ "%!PS-Adobe-3.0 Query", NULL, cm_psquery, C_FULL },
{ "%!PS-Adobe-3.0", NULL, cm_psadobe, C_FULL },
{ "%!PS-Adobe-", NULL, cm_psswitch, 0 },
{ NULL, NULL, NULL, 0 },
}
C_FULL
#define C_FULL
Definition comment.h:47
cm_psadobe
int cm_psadobe(struct papfile *in, struct papfile *out, struct sockaddr_at *sat)
Definition magics.c:175
cm_psswitch
int cm_psswitch(struct papfile *in, struct papfile *out, struct sockaddr_at *sat)
Definition magics.c:213
cm_psquery
int cm_psquery(struct papfile *in, struct papfile *out, struct sockaddr_at *sat)
Definition magics.c:133
NULL
#define NULL
Definition utf8util.c:47

## ◆ Query

char* Query = "Query"

## ◆ state

int state = 0
| static

## ◆ stop_requested

volatile sig_atomic_t stop_requested = 0
| static